@EndUserText.label: '项目开票回款跟踪表'
@ObjectModel.query.implementedBy: 'ABAP:ZCL_INVOICE'
define custom entity ZCV_XMKP
{
      @Search.defaultSearchElement: true
      @UI.lineItem         : [ {  position: 10,label: '客户编号'} ]
      @Consumption.valueHelpDefinition: [{ entity : {name: 'I_Customer_VH', element: 'Customer'  } }]
  key SoldToParty          : zdxm;
      @Search              : { defaultSearchElement: true, ranking: #HIGH, fuzzinessThreshold: 0.8 }
      @UI.lineItem         : [ { position: 30, label: '合同号'} ]
//      @Consumption.valueHelpDefinition: [{ entity : {name: 'I_StdWBSElementVH', element: 'Product'  } }]
  key WBSElementExternalID : abap.char( 24 );
//      @UI.lineItem         : [ { position: 40, label: '合同号描述'} ]
//      post1                : text40;
      @UI.lineItem         : [ { position: 20, label: '客户描述'} ]
      CustomerName         : abap.char( 80 );
      @UI.lineItem         : [ { label: '销售订单类型'} ]
      SalesOrderType         : abap.char( 4 );
      @UI.lineItem         : [ { position: 60, label: '合同总金额'} ]
      Subtotal1Amount      : abap.dec( 15, 2 );
      @UI.lineItem         : [ { position: 70, label: '已开票金额'} ]
      AmountInTransactionCurrency      : abap.dec( 15, 2 );
      @UI.lineItem         : [ { position: 80, label: '已回款金额'} ]
      PaidAmount      : abap.dec( 15, 2 );
      @UI.lineItem         : [ { position: 90, label: '已开票未回款金额'} ]
      OpenAmountInDocumentCurrency      : abap.dec( 15, 2 );
      @UI.lineItem         : [ { position: 100, label: '未回款金额'} ]
      whkAmount      : abap.dec( 15, 2 );
      @UI.lineItem         : [ { position: 110, label: '未开票金额'} ]
      wkpAmount      : abap.dec( 15, 2 );
      @UI.lineItem         : [ { label: '项目标识'} ]
      Project      : abap.char(12);
      @UI.lineItem         : [ { position: 120, label: '项目经理'} ]
      YY1_ZZPS001      : abap.char(20);
      @UI.lineItem         : [ { position: 130, label: '显示货币'} ]
      TransactionCurrency      : waers;
}
